Incompatibility with all-in-one-video-pack


#1

I get fatal errors for redeclaring functions when trying to enable the buddypress-media-component.

I have the Kaltura all-in-one-video-pack installed for all blogs on my network. However this doesn't embed the videos into the BuddyPress activity stream. 
It seems that the buddypress-media-component tries to redeclare all the functions that all-in-one-video-pack sets up, leading to fatal errors.

#2

Maybe the buddypress media component could check if all-in-one-video-pack is installed, and then not declare any of the functions that have already been registered.


#3

Buddypress Media Component new version is available now.

and yes for this version, Compatibility is not there, But yeah, in next version, it will be updated.
Thanks

#4